Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db2connectadapter
Class Db2ConnectTableResultSet

    java.lang.Object
      com.stc.connector.db2connectadapter.base.StatementAgentImpl
          com.stc.connector.db2connectadapter.base.TableResultSetImpl
              com.stc.connector.db2connectadapter.Db2ConnectTableResultSet

All Implemented Interfaces:
  com.stc.connector.appconn.db.StatementAgent, com.stc.connector.appconn.db.TableResultSet, com.stc.connector.db.SessionEventListener

    public class Db2ConnectTableResultSet

extends TableResultSetImpl

ResultSet to map selected records of table in Db2.

Version:
  $Revision: 1.2 $
Author:
  $Author: cmbuild $

Field Summary

Fields inherited from class com.stc.connector.db2connectadapter.base.StatementAgentImpl
`concurrencyType, listener, resultSetConcurMap, resultsetDirection, resultSetDirMap, resultsetType, resultSetTypeMap, session, sqlException, statement, statementClassName`

Constructor Summary
`Db2ConnectTableResultSet(com.stc.connector.db.Session session)` Db2ConnectTableResultSet constructor.
`Db2ConnectTableResultSet(com.stc.connector.db.Session session, int iScroll, int iConcur)` Db2ConnectTableResultSet constructor.

Method Summary

Methods inherited from class com.stc.connector.db2connectadapter.base.TableResultSetImpl
`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, closeResultSet, delete, deleteRow, executeUpdate, findColumn, first, getAsciiStream, getAsciiStream, getBinaryStream, getBinaryStream, getCharacterStream, getCharacterStream, getRow, getRSAgent, insert, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, select, sessionClose, sessionReset, setColumns, setTable, update, updateRow, wasNull`

Methods inherited from class com.stc.connector.db2connectadapter.base.StatementAgentImpl
`cancel, clearBatch, executeBatch, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, isClosed, queryName, resultSetConcurToString, resultSetDirToString, resultSetTypeToString, sessionOpen, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, stmtInvoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.appconn.db.StatementAgent
`cancel, clearBatch, executeBatch, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, isClosed, queryName, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, stmtInvoke`

Constructor Detail

### Db2ConnectTableResultSet

    public Db2ConnectTableResultSet(com.stc.connector.db.Session session)

  Db2ConnectTableResultSet constructor.

  Parameters:
    `session` - a Session instance for accessing connection and creating necessary resources.

### Db2ConnectTableResultSet

    public Db2ConnectTableResultSet(com.stc.connector.db.Session session,
                                    int iScroll,
                                    int iConcur)

  Db2ConnectTableResultSet constructor.

  Parameters:
    `session` - a Session instance for accessing connection and creating necessary resources.
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE.
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD